<?xml version="1.0" encoding="UTF-8"?>
<jasperReport xmlns="http://jasperreports.sourceforge.net/jasperreports" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://jasperreports.sourceforge.net/jasperreports http://jasperreports.sourceforge.net/xsd/jasperreport.xsd" name="обращения" language="groovy" pageWidth="595" pageHeight="842" whenNoDataType="AllSectionsNoDetail" columnWidth="595" leftMargin="0" rightMargin="0" topMargin="0" bottomMargin="0" isIgnorePagination="true" uuid="b999ed90-a474-4668-8d38-89c24559b14e">
	<property name="ireport.zoom" value="1.0"/>
	<property name="ireport.x" value="0"/>
	<property name="ireport.y" value="0"/>
	<queryString>
		<![CDATA[SELECT rg.documentID,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_case_theme', adi.cmp_key, null)) appealThemeKey,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_case_theme', adi.cmp_data, null)) appealThemeValue,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_status', adi.cmp_key, null)) appealStatusKey,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_status', adi.cmp_data, null)) appealStatusValue,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_lawyer', adi.cmp_key, null)) appealLawyerKey,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_lawyer', adi.cmp_data, null)) appealLawyerValue,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_type', adi.cmp_key, null)) appealTypeKey,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_type', adi.cmp_data, null)) appealTypeValue,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_case_step', adi.cmp_key, null)) appealStepKey,
MAX(IF(adi.cmp_id = 'lawyers_form_client_appeal_case_step', adi.cmp_data, null)) appealStepValue

FROM (SELECT asfDataID, created, documentID FROM registry_documents
WHERE registryID = (SELECT registryID FROM registries WHERE code = 'lawyers_registry_client_appeal')
AND deleted IS NULL) rg

JOIN (SELECT uuid, cmp_key, cmp_data, cmp_id FROM asf_data_index
WHERE cmp_id IN (
'lawyers_form_client_appeal_lawyer',
'lawyers_form_client_appeal_case_theme',
'lawyers_form_client_appeal_type',
'lawyers_form_client_appeal_case_step',
'lawyers_form_client_appeal_status'
)
) adi ON adi.uuid = rg.asfDataId

GROUP BY rg.asfDataId]]>
	</queryString>
	<field name="documentID" class="java.lang.String">
		<fieldDescription><![CDATA[идентификатор документа в хранилище]]></fieldDescription>
	</field>
	<field name="appealThemeKey" class="java.lang.String"/>
	<field name="appealThemeValue" class="java.lang.String"/>
	<field name="appealStatusKey" class="java.lang.String"/>
	<field name="appealStatusValue" class="java.lang.String"/>
	<field name="appealLawyerKey" class="java.lang.String"/>
	<field name="appealLawyerValue" class="java.lang.String"/>
	<field name="appealTypeKey" class="java.lang.String"/>
	<field name="appealTypeValue" class="java.lang.String"/>
	<field name="appealStepKey" class="java.lang.String"/>
	<field name="appealStepValue" class="java.lang.String"/>
	<detail>
		<band height="20" splitType="Stretch">
			<textField isStretchWithOverflow="true">
				<reportElement x="0" y="0" width="595" height="20" uuid="c6afa390-d80a-4b23-8593-6f6f7cab3595"/>
				<textFieldExpression><![CDATA["appealThemeKey:" + $F{appealThemeKey}
+"||appealThemeValue:" + $F{appealThemeValue}
+"||appealStatusKey:" + $F{appealStatusKey}
+"||appealStatusValue:" + $F{appealStatusValue}
+"||appealLawyerKey:" + $F{appealLawyerKey}
+"||appealLawyerValue:" + $F{appealLawyerValue}
+"||appealTypeKey:" + $F{appealTypeKey}
+"||appealTypeValue:" + $F{appealTypeValue}
+"||appealStepKey:" + $F{appealStepKey}
+"||appealStepValue:" + $F{appealStepValue}]]></textFieldExpression>
			</textField>
		</band>
	</detail>
</jasperReport>
